=== tests/libGameData/CMakeLists.txt ===
# Copyright (C) 2005 - 2021 Settlers Freaks <sf-team at siedler25.org>
#
# SPDX-License-Identifier: GPL-2.0-or-later

add_testcase(NAME gameData
    LIBS gamedata legacyTestfiles testHelpers rttr::vld
)
