=== tools/release/debian/control ===
Source: s25rttr
Section: games
Priority: optional
Bugs: <https://bugs.siedler25.org>
Homepage: https://www.siedler25.org
Maintainer: Return To The Roots Team <sf-team@siedler25.org>
Build-Depends: debhelper (>= 7), debconf (>=0.2.17), cmake (>=3.8), libsdl2-dev, libsdl-mixer2-dev, gettext, libminiupnpc-dev (>=1.3), libcurl4-openssl-dev, libbz2-dev, liblua5.2-dev
Standards-Version: 3.8.0
XS-Vcs-Bzr: lp:s25rttr
XS-Vcs-Browser: http://bazaar.launchpad.net/~flosoft/s25rttr/trunk/files

Package: s25rttr-common
Architecture: all
Depends: debconf (>=0.2.17)
Suggests: s25rttr
Description: Dies ist das Allgemeine Paket von Return To The Roots
 .
 This is the common package of Return To The Roots
 .
 Return To The Roots ist eine Nachprogrammierung des bekannten Spieles "Die Siedler II" von Bluebyte. 
 Es untersttzt Multiplayer-Spiele im Internet und LAN. 
 .
 Nicht vergessen: Die Originaldateien von Die Siedler II Gold mssen nach /usr/share/s25rttr/S2 kopiert werden und mssen fr den Nutzer lesbar sein.
 .
 Return To The Roots is a remake of the game The Settlers 2 of Bluebyte. 
 It supports multiplayer games via ethernet and internet. 
 .
 Don't forget: The original game files of The Settlers II Gold must be copied to /usr/share/s25rttr/S2 and must be readably for the user to play this game.

Package: s25rttr-maps
Architecture: all
Depends: s25rttr-common
Suggests: s25rttr
Description: Dies ist das Kartenpaket von Return To The Roots
 .
 This is the Map package of Return To The Roots
 .
 Return To The Roots ist eine Nachprogrammierung des bekannten Spieles "Die Siedler II" von Bluebyte. 
 Es untersttzt Multiplayer-Spiele im Internet und LAN. 
 .
 Nicht vergessen: Die Originaldateien von Die Siedler II Gold mssen nach /usr/share/s25rttr/S2 kopiert werden und mssen fr den Nutzer lesbar sein.
 .
 Return To The Roots is a remake of the game The Settlers 2 of Bluebyte. 
 It supports multiplayer games via ethernet and internet. 
 .
 Don't forget: The original game files of The Settlers II Gold must be copied to /usr/share/s25rttr/S2 and must be readably for the user to play this game.

Package: s25rttr-music
Architecture: all
Depends: s25rttr-common
Suggests: s25rttr
Description: Dies ist das Musikpaket von Return To The Roots
 .
 This is the Music package of Return To The Roots
 .
 Return To The Roots ist eine Nachprogrammierung des bekannten Spieles "Die Siedler II" von Bluebyte. 
 Es untersttzt Multiplayer-Spiele im Internet und LAN. 
 .
 Nicht vergessen: Die Originaldateien von Die Siedler II Gold mssen nach /usr/share/s25rttr/S2 kopiert werden und mssen fr den Nutzer lesbar sein.
 .
 Return To The Roots is a remake of the game The Settlers 2 of Bluebyte. 
 It supports multiplayer games via ethernet and internet. 
 .
 Don't forget: The original game files of The Settlers II Gold must be copied to /usr/share/s25rttr/S2 and must be readably for the user to play this game.

Package: s25rttr
Architecture: i386 amd64
Depends: s25rttr-common (= ${binary:Version}), s25rttr-maps, s25rttr-music, libsdl2-2.0-0, libsdl2-mixer-2.0-0, libminiupnpc (>=1.3), liblua5.2-0
Replaces: s25client
Provides: s25rttr
Description: Return To The Roots ist eine Nachprogrammierung des bekannten Spieles "Die Siedler II" von Bluebyte. 
 Es untersttzt Multiplayer-Spiele im Internet und LAN. 
 .
 Nicht vergessen: Die Originaldateien von Die Siedler II Gold mssen nach /usr/share/s25rttr/S2 kopiert werden und mssen fr den Nutzer lesbar sein.
 .
 Return To The Roots is a remake of the game The Settlers 2 of Bluebyte. 
 It supports multiplayer games via ethernet and internet. 
 .
 Don't forget: The original game files of The Settlers II Gold must be copied to /usr/share/s25rttr/S2 and must be readably for the user to play this game.
